#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./user_timeline.pm <username> <password> [apiurl [apihost [id [since [count]]]]]";
}
my ($username, $password, $apiurl, $apihost, $id, $since, $page) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
			     password=>$password,
			     apiurl=>$apiurl,
			     apihost=>$apihost,
			     apirealm=>"Shovel API");
my $result = $twit->user_timeline({id=>$id,
                                   since=>$since,
                                   count=>$count});
print Dumper($result);
